/* 
** Macro header: menu.h
**
** Copyright (C) 1993 Brian L. Smith
** Copyright (C) 1993 RimStar Technology, Inc.
** All rights reserved internationally.
** Unlicensed use is a violation of applicable laws.
**
** This source code is provided to licensed users of RimStar's products
** for the purpose of allowing the user to customize and/or enhance RimStar's
** products. The source code remains the property of the copyright holders
** with all rights reserved internationally.
** Any modifications to the source code are considered derivative works and
** all rights thereto are reserved to the copyright holders except
** that the purchaser may use the derivitive work in the same manner
** as permitted by the license governing the unmodified product.
** Distribution in any manner of any part of the original source code,
** whether in source or object form, is expressly prohibited without the
** express written permission of the copyright holders.
**
*/

#ifdef INCL_MENU
 #ifndef MENU_H_INCLUDED 
	#define MENU_H_INCLUDED
 
	#define MIT_END					(-1)
	#define MIT_NONE					(-1)
	#define MIT_MEMERROR				(-1)
	#define MIT_ERROR					(-1)
	#define MIT_FIRST					(-2)
	#define MIT_LAST					(-3)
	#define MID_NONE					MIT_NONE
	#define MID_ERROR					(-1)
	
	#define MIS_TEXT					0x0001
	#define MIS_BITMAP				0x0002
	#define MIS_SEPARATOR			0x0004
	#define MIS_OWNERDRAW			0x0008
	#define MIS_SUBMENU				0x0010
	#define MIS_MULTMENU				0x0020
	#define MIS_SYSCOMMAND			0x0040
	#define MIS_HELP					0x0080
	#define MIS_STATIC				0x0100
	#define MIS_BUTTONSEPARATOR	0x0200
	#define MIS_BREAK					0x0400
	#define MIS_BREAKSEPARATOR		0x0800
	#define MIS_GROUP					0x1000
	#define MIS_SINGLE				0x2000
	#define MIA_NODISMISS			0x0020
	#define MIA_FRAMED				0x1000
	#define MIA_CHECKED				0x2000
	#define MIA_DISABLED				0x4000
	#define MIA_HILITED				0x8000

	#define SC_SIZE					0x8000
	#define SC_MOVE					0x8001
	#define SC_MINIMIZE				0x8002
	#define SC_MAXIMIZE				0x8003
	#define SC_CLOSE					0x8004
	#define SC_NEXT					0x8005
	#define SC_APPMENU				0x8006
	#define SC_SYSMENU				0x8007
	#define SC_RESTORE				0x8008
	#define SC_NEXTFRAME				0x8009
	#define SC_NEXTWINDOW			0x8010
	#define SC_TASKMANAGER			0x8011
	#define SC_HELPKEYS				0x8012
	#define SC_HELPINDEX				0x8013
	#define SC_HELPEXTENDED			0x8014
	#define SC_SWITCHPANELIDS		0x8015
	#define SC_DBE_FIRST				0x8018
	#define SC_DBE_LAST				0x801F
	#define SC_BEGINDRAG				0x8020
	#define SC_ENDDRAG				0x8021
	#define SC_SELECT					0x8022
	#define SC_OPEN					0x8023
	#define SC_CONTEXTMENU			0x8024
	#define SC_CONTEXTHELP			0x8025
	#define SC_TEXTEDIT				0x8026
	#define SC_BEGINSELECT			0x8027
	#define SC_ENDSELECT				0x8028
	#define SC_WINDOW					0x8029
	#define SC_HIDE					0x802a

	/****** Menu command IDs *****/

	#define SC_DOCSYSMENU			0x0011

	#define SCC_SIZE					9900
	#define SCC_MOVE					9901
	#define SCC_MINIMIZE				9902
	#define SCC_MAXIMIZE				9903
	#define SCC_CLOSE					9904
	#define SCC_NEXT					9905
	#define SCC_APPMENU				9906
	#define SCC_SYSMENU				9907
	#define SCC_RESTORE				9908
	#define SCC_NEXTFRAME			9909
	#define SCC_NEXTWINDOW			9910

		/* Action Bar Entries */
	#define IDM_FILE					1100
	#define IDM_EDIT					1200
	#define IDM_SEARCH				1300
	#define IDM_BROWSE				1400
	#define IDM_BUFFER				1500
	#define IDM_WINDOW				1600
	#define IDM_KEYS					1700
	#define IDM_CONFIGURE			1800
	#define IDM_HELP					1900
	#define IDM_FIRSTACTION			IDM_FILE
	#define IDM_LASTACTION			IDM_HELP

		/* File pulldown */
	#define IDM_NEW						1101
	#define IDM_OPEN						1102
	#define IDM_CLOSE						1103
	#define IDM_SAVE						1104
	#define IDM_SAVEAS					1105
	#define IDM_PRINTER_SETUP			1106
	#define IDM_PRINT						1107
	#define IDM_LOAD_MACROFILE			1108
	#define IDM_EXIT						1109
	#define IDM_FILE_LAST				IDM_EXIT

		/* Edit pulldown */
	#define IDM_UNDO						1201
	#define IDM_REDO						1202
	#define IDM_CUT						1203
	#define IDM_COPY						1204
	#define IDM_PASTE						1205
	#define IDM_DELETE					1206
	#define IDM_INSERTFILE				1207
	#define IDM_IMPORTCLIP				1208
	#define IDM_EXPORTCLIP				1209
	#define IDM_INDENT					1210
	#define IDM_OUTDENT					1211
	#define IDM_EDIT_LAST				IDM_OUTDENT

		/* Search pulldown */
	#define IDM_SEARCH_FORWARD			1301
	#define IDM_SEARCH_BACKWARD		1302
	#define IDM_SEARCH_AGAIN			1303
	#define IDM_REPLACE_FORWARD		1304
	#define IDM_REPLACE_BACKWARD		1305
	#define IDM_REPLACE_AGAIN			1306
	#define IDM_SEARCH_NEXTERR			1307
	#define IDM_SEARCH_PREVERR			1308
	#define IDM_SEARCH_LAST				IDM_SEARCH_PREVERR

		/* Browse pulldown */
	#define IDM_SB_GOTODEF				1401
	#define IDM_SB_SYMBOL				1402
	#define IDM_SB_DEF					1403
	#define IDM_SB_REF					1404
	#define IDM_SB_MOD					1405
	#define IDM_SB_LOAD					1406
	#define IDM_SB_CLEAR					1407
	#define IDM_SB_NEXT					1408
	#define IDM_SB_PREV					1409
	#define IDM_SB_LAST					IDM_SB_PREV

		/* Buffer pulldown */
	#define IDM_BUFFER_NEXT				1501
	#define IDM_BUFFER_PREV				1502
	#define IDM_BUFFER_EXECUTE	  		1503
	#define IDM_BUFFER_CLOSE			1504
	#define IDM_BUFFER_LIST				1505
	#define IDM_BUFFER_LAST				IDM_BUFFER_LIST
	#define IDM_START_BUFFER_LIST		8000

		/* Window pulldown */
	#define IDM_WINDOW_CASCADE			1601
	#define IDM_WINDOW_TILE_WIDE		1602
	#define IDM_WINDOW_TILE_TALL		1603
	#define IDM_WINDOW_KEEP_CASCADED	1604
	#define IDM_WINDOW_KEEP_TILED		1605
	#define IDM_WINDOW_NEXT				1606
	#define IDM_WINDOW_PREV				1607
	#define IDM_WINDOW_CREATE		 	1608
	#define IDM_WINDOW_DELETE		 	1609
	#define IDM_WINDOW_LAST				IDM_WINDOW_DELETE
	#define IDM_START_WINDOW_LIST		9000

		/* Keys Pulldown */
	#define IDM_KEYS_PLAY         	1701
	#define IDM_KEYS_RECORD       	1702
	#define IDM_KEYS_SAVEKBDMACRO 	1703
	#define IDM_KEYS_LOADKBDMACRO 	1704
	#define IDM_KEYS_LAST			 	IDM_KEYS_LOADKBDMACRO

		/* Options pulldown */
	#define IDM_CONFIG					1801
	#define IDM_CONFIGFONT				1802
	#define IDM_CONFIGCOLORS			1803
	#define IDM_CONFIGCURSOR			1804
	#define IDM_CONFIGASSOC				1805
	#define IDM_CONFIG_LAST				IDM_CONFIGASSOC

		/* Help pulldown */
  #if WINDOWS
	#define IDM_HELP_CONTENTS			1901
	#define IDM_HELP_SEARCH				1902
	#define IDM_HELP_FOR_HELP			1903
	#define IDM_ABOUT						1904
  #else
	#define IDM_HELP_FOR_HELP			1901
	#define IDM_ABOUT						1902
  #endif
	#define IDM_HELP_LAST				IDM_ABOUT

 #endif
#endif /* INCL_MENU */


/*
** End header: menu.h
*/
